﻿<%@ page language="C#" autoeventwireup="true" inherits="DesigMast, ContactManagement_deploy" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>Designation Master</title>
    <link type="text/css" rel="Stylesheet" href="styles/grid.css" />
    <script type="text/javascript">
        function getDetails(code) {
            if (window.XMLHttpRequest) {
                AJAX = new XMLHttpRequest();
            }
            else {
                AJAX = new ActiveXObject("Microsoft.XMLHTTP");
            }
            if (AJAX) {
                AJAX.open("GET", "getDataByAjax.aspx?Type=Desig&code=" + code, false);
                AJAX.send(null);
                return AJAX.responseXML;
            }
            else {
                return null;
            }
        }

        function getData(code) {

            document.getElementById("<%= txtname.ClientID %>").value = "";
            document.getElementById("<%= txtcode.ClientID %>").value = code

            var response = getDetails(code);
            if (response != null) {
                try {
                    var ds = response.getElementsByTagName('DocumentElement');
                    var table = ds[0].getElementsByTagName('Designation');
                    var o = { a: '', chk: 0, b: table[0].getElementsByTagName("name")[0] }

                    if (o.b != null) {
                        document.getElementById("<%= txtname.ClientID %>").value = o.b.text;
                    }
                    document.getElementById("<%= txtname.ClientID %>").disabled = true;
                    document.getElementById("<%= cmdSave.ClientID %>").disabled = true;
                    document.getElementById("<%= cmdDelete.ClientID %>").disabled = false;
                }
                catch (err) {
                }
            }

        }

        function delRecord() {
            if (window.confirm('Are you sure you want to delete this record?')) {
                document.getElementById('<%= cmdDelete.ClientID %>').click();
            }
        }

        function AddNew() {
            document.getElementById("<%= txtname.ClientID %>").value = "";
            document.getElementById("<%= txtcode.ClientID %>").value = "Auto Generated";
            document.getElementById("<%= txtname.ClientID %>").disabled = false;
            document.getElementById("<%= txtname.ClientID %>").focus();
            document.getElementById("<%= cmdSave.ClientID %>").disabled = false;
            document.getElementById("<%= cmdDelete.ClientID %>").disabled = true;
            
        }

        function enableDisable(en) {
            if (document.getElementById("<%= txtcode.ClientID %>").value.length > 0) {
                document.getElementById("<%= txtname.ClientID %>").disabled = false;
                document.getElementById("<%= cmdSave.ClientID %>").disabled = false;
            }
            else {
                alert('No Data is Selected For Edit');
            }
        }
        
    </script>
    <style type="text/css">
        .style1
        {
            text-align: left;
        }
    </style>
</head>
<body>
    <form id="form1" runat="server">
    <asp:ScriptManager ID="ScriptManager1" runat="server">
    </asp:ScriptManager>
    <asp:UpdatePanel ID="UpdatePanel1" runat="server">
        <ContentTemplate>
            <center>
                <table width="100%" class="grid" cellspacing="8">
                    <tr>
                        <td colspan="3" style="background-image: url('/ContactManagement/images/website_background_1.jpg');
                            text-align: center">
                            <b>Designation Master</b>
                        </td>
                    </tr>
                    <tr>
                        <td style="width: 55%; vertical-align: top">
                            <asp:Panel ID="viewPanel" runat="server">
                            </asp:Panel>
                        </td>
                        <td style="vertical-align: top">
                            <table width="100%" class="grid" rules="all" border="1">
                                <tr>
                                    <td colspan="2" class="style1">
                                        &nbsp;&nbsp;
                                        <img id="imgAddNew" alt="" src="images/AddNew.PNG" width="20px" />
                                        <a href="#" onclick="AddNew()">Add New</a> &nbsp;&nbsp;
                                        <img alt="" src="images/Edit.PNG" width="20px" />
                                        <a href="#" onclick="enableDisable('true')">Edit</a> &nbsp;&nbsp;
                                        <img alt="" src="images/clear.gif" />
                                        <asp:LinkButton ID="cmdDelete" runat="server" OnClick="cmdDelete_Click">Delete</asp:LinkButton>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        &nbsp;
                                    </td>
                                    <td>
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="Label1" runat="server" Text="Code"></asp:Label>
                                    </td>
                                    <td class="style1">
                                        &nbsp;&nbsp;<asp:TextBox ID="txtcode" runat="server" Enabled="false"></asp:TextBox>
                                       
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        <asp:Label ID="Label2" runat="server" Text="Name"></asp:Label>
                                    </td>
                                    <td class="style1">
                                        &nbsp;&nbsp;<asp:TextBox ID="txtname" runat="server" Enabled="false"></asp:TextBox>
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                        &nbsp;
                                    </td>
                                    <td>
                                        &nbsp;
                                    </td>
                                </tr>
                                <tr>
                                    <td>
                                    </td>
                                    <td class="style1">
                                        &nbsp;&nbsp;<asp:Button ID="cmdSave" runat="server" Text="Save" OnClick="cmdSave_Click"
                                            Enabled="false" />
                                    </td>
                                </tr>
                            </table>
                        </td>
                    </tr>
                </table>
            </center>
        </ContentTemplate>
    </asp:UpdatePanel>
    </form>
</body>
</html>
