﻿<%@ page title="" language="C#" masterpagefile="~/MasterMain.master" autoeventwireup="true" inherits="ContactInfo, ContactManagement_deploy" %>

<%@ Register Assembly="DevExpress.Web.ASPxGridView.v10.1, Version=10.1.6.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a"
    Namespace="DevExpress.Web.ASPxGridView" TagPrefix="dxwgv" %>

<%@ Register Assembly="AjaxControlToolkit" Namespace="AjaxControlToolkit" TagPrefix="cc1" %>


<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
    <script type="text/javascript">
        function AddNew() {
            var WinSettings = "center:yes;resizable:yes;dialogHeight:800px;dialogWidth:800px";
            var MyArgs = window.showModalDialog("NewContact.aspx", "Add New", WinSettings);

        }
    </script>
    <style type="text/css">
        .style1
        {
            width: 100%;
        }
        .dxgvDataRow
        {
            height: 5px;
        }
    </style>
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="Body" runat="Server">
    <table cellpadding="0" cellspacing="0" class="style1">
        <tr>
            <td style="height: 10px; text-align: center; font-size: larger; font-weight: lighter">
                Contact Information of&nbsp;
                <asp:Label ID="lblCatName" runat="server" Text=""></asp:Label>
            </td>
        </tr>
        <tr>
            <td>
                <table width="100%" cellspacing="0">
                    <tr>
                        <td style="background-color: #A3DFF1; width: 15%">
                            <asp:LinkButton ID="lnkDelete" runat="server" OnClick="lnkDelete_Click">Delete Selected</asp:LinkButton>
                        </td>
                        <td style="background-color: #A3DFF1; width: 20%">
                            <asp:LinkButton ID="lnkAddContact" runat="server" Text="Add New Contact" OnClientClick="AddNew()" />
                        </td>
                        <td style="background-color: #A3DFF1; width: 20%">
                            <asp:LinkButton ID="lnkExport" runat="server" Text="Export Data" OnClick="lnkExport_Click" />
                        </td>
                    </tr>
                </table>
            </td>
        </tr>
        <tr>
            <td style="height: 430px; vertical-align: top">
                
                <dxwgv:ASPxGridView ID="GridContact" runat="server" CssFilePath="~/App_Themes/Aqua/{0}/styles.css"
                    CssPostfix="Aqua" AutoGenerateColumns="False" OnRowValidating="GridContact_RowValidating"
                    KeyFieldName="code" OnDataBound="GridContact_DataBound" OnHtmlRowPrepared="GridContact_HtmlRowPrepared">
                    <Styles CssFilePath="~/App_Themes/Aqua/{0}/styles.css" CssPostfix="Aqua">
                        <Row CssClass=".dxgvDataRow">
                        </Row>
                    </Styles>
                    <SettingsLoadingPanel Text="" />
                    <SettingsPager>
                        <AllButton>
                            <Image Height="19px" Width="27px" />
                        </AllButton>
                        <FirstPageButton Text="First" Visible="True">
                            <Image Height="19px" Width="23px" />
                        </FirstPageButton>
                        <LastPageButton Text="Last" Visible="True">
                            <Image Height="19px" Width="23px" />
                        </LastPageButton>
                        <NextPageButton>
                            <Image Height="19px" Width="19px" />
                        </NextPageButton>
                        <PrevPageButton>
                            <Image Height="19px" Width="19px" />
                        </PrevPageButton>
                    </SettingsPager>
                    <Images ImageFolder="~/App_Themes/Aqua/{0}/">
                        <CollapsedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvCollapsedButton.png"
                            Width="15px" />
                        <ExpandedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvExpandedButton.png"
                            Width="15px" />
                        <DetailCollapsedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvDetailCollapsedButton.png"
                            Width="15px" />
                        <DetailExpandedButton Height="15px" Url="~/App_Themes/Aqua/GridView/gvDetailExpandedButton.png"
                            Width="15px" />
                        <HeaderFilter Height="19px" Url="~/App_Themes/Aqua/GridView/gvHeaderFilter.png" Width="19px" />
                        <HeaderActiveFilter Height="19px" Url="~/App_Themes/Aqua/GridView/gvHeaderFilterActive.png"
                            Width="19px" />
                        <HeaderSortDown Height="5px" Url="~/App_Themes/Aqua/GridView/gvHeaderSortDown.png"
                            Width="7px" />
                        <HeaderSortUp Height="5px" Url="~/App_Themes/Aqua/GridView/gvHeaderSortUp.png" Width="7px" />
                        <FilterRowButton Height="13px" Width="13px" />
                        <WindowResizer Height="13px" Url="~/App_Themes/Aqua/GridView/WindowResizer.png" Width="13px" />
                    </Images>
                    <ClientSideEvents RowDblClick="function MainGridDoubleClick(s, e) 
                    {
                        
                        var keyVal = s.keys[e.visibleIndex - s.visibleStartIndex];
                        var paramlist = &quot;NewContact.aspx?Code=&quot;;
                        paramlist += keyVal;
                        // document.location = paramlist;
                        var WinSettings = &quot;center:yes;resizable:yes;dialogHeight:500px;dialogWidth:800px&quot;
                        var MyArgs = window.showModalDialog(&quot;NewContact.aspx?Code=&quot; + keyVal, MyArgs, WinSettings);
                
                    }" />
                    <Columns>
                        <dxwgv:GridViewCommandColumn Caption="Select" ShowSelectCheckbox="True" VisibleIndex="0">
                            <DeleteButton Text=" ">
                                <Image AlternateText="Delete" />
                            </DeleteButton>
                            <SelectButton Text=" " Visible="True">
                            </SelectButton>
                            <ClearFilterButton Visible="True">
                            </ClearFilterButton>
                        </dxwgv:GridViewCommandColumn>
                        <dxwgv:GridViewDataTextColumn FieldName="name" Name="name" Caption="Name" VisibleIndex="1"
                            Width="200px" />
                        <dxwgv:GridViewDataTextColumn FieldName="mobileno" Name="mobileno" Caption="MobileNo"
                            VisibleIndex="2" Width="85px" />
                        <dxwgv:GridViewDataTextColumn FieldName="addline1" Name="addline1" Caption="Address"
                            VisibleIndex="3" Width="180px" />
                        <dxwgv:GridViewDataTextColumn FieldName="phoneoff" Name="phoneoff" Caption="PhoneOff"
                            VisibleIndex="4" Width="85px" />
                        <dxwgv:GridViewDataTextColumn FieldName="phoneres" Name="phoneres" Caption="PhoneRes"
                            VisibleIndex="5" Width="85px" />
                        <dxwgv:GridViewDataTextColumn Caption="Code" FieldName="code" Name="code" Visible="False"
                            VisibleIndex="5">
                        </dxwgv:GridViewDataTextColumn>
                    </Columns>
                    <StylesEditors>
                        <ProgressBar Height="25px">
                        </ProgressBar>
                    </StylesEditors>
                    <ImagesEditors>
                        <CalendarFastNavPrevYear Height="19px" Url="~/App_Themes/Aqua/Editors/edtCalendarFNPrevYear.png"
                            Width="19px" />
                        <CalendarFastNavNextYear Height="19px" Url="~/App_Themes/Aqua/Editors/edtCalendarFNNextYear.png"
                            Width="19px" />
                        <DropDownEditDropDown Height="7px" Url="~/App_Themes/Aqua/Editors/edtDropDown.png"
                            UrlDisabled="~/App_Themes/Aqua/Editors/edtDropDownDisabled.png" UrlHottracked="~/App_Themes/Aqua/Editors/edtDropDownHottracked.png"
                            Width="9px" />
                        <SpinEditIncrement Height="6px" Url="~/App_Themes/Aqua/Editors/edtSpinEditIncrementImage.png"
                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditIncrementDisabledImage.png"
                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditIncrementHottrackedImage.png"
                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditIncrementHottrackedImage.png"
                            Width="7px" />
                        <SpinEditDecrement Height="7px" Url="~/App_Themes/Aqua/Editors/edtSpinEditDecrementImage.png"
                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditDecrementDisabledImage.png"
                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditDecrementHottrackedImage.png"
                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditDecrementHottrackedImage.png"
                            Width="7px" />
                        <SpinEditLargeIncrement Height="9px" Url="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncImage.png"
                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncDisabledImage.png"
                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncHottrackedImage.png"
                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditLargeIncHottrackedImage.png"
                            Width="7px" />
                        <SpinEditLargeDecrement Height="9px" Url="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecImage.png"
                            UrlDisabled="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecDisabledImage.png"
                            UrlHottracked="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecHottrackedImage.png"
                            UrlPressed="~/App_Themes/Aqua/Editors/edtSpinEditLargeDecHottrackedImage.png"
                            Width="7px" />
                    </ImagesEditors>
                    <Settings ShowFilterRow="true" />
                    <SettingsPager PageSize="12" AlwaysShowPager="True" NextPageButton-Text="Next" PrevPageButton-Text="Prev">
                    </SettingsPager>
                </dxwgv:ASPxGridView>
            </td>
        </tr>
    </table>
</asp:Content>
